commit:     a715eb04fe9078f78d62997c74ac3fc5eff1bc7a
Author:     Dennis Lamm <expeditioneer <AT> gentoo <DOT> org>
AuthorDate: Mon Feb  4 19:57:06 2019 +0000
Commit:     Dennis Lamm <expeditioneer <AT> gentoo <DOT> org>
CommitDate: Mon Feb  4 19:57:50 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a715eb04

app-office/gnumeric: version bump

Signed-off-by: Dennis Lamm <expeditioneer <AT> gentoo.org>

 app-office/gnumeric/Manifest                |  1 +
 app-office/gnumeric/gnumeric-1.12.44.ebuild | 77 +++++++++++++++++++++++++++++
 2 files changed, 78 insertions(+)

diff --git a/app-office/gnumeric/Manifest b/app-office/gnumeric/Manifest
index 0f07e6a8434..8ef19357413 100644
--- a/app-office/gnumeric/Manifest
+++ b/app-office/gnumeric/Manifest
@@ -1,2 +1,3 @@
 DIST gnumeric-1.12.39.tar.xz 20040688 BLAKE2B 
5d99da20b567a939208881b962de3c79ab115a24953dc04d6c882e9a54946e5c5fbd32808a8006e396d70bc9a2a9783b20106536da1c19f7ed7dccd3b12c2fff
 SHA512 
8ae09ea857989e65a8fe2070b30c2309d82daa4142816ef3a1b107035aea0d71498d84eaeeaa870a1587e3785146fad3304321a531c75f6e2f200def53a8e898
 DIST gnumeric-1.12.43.tar.xz 18033636 BLAKE2B 
32cbbefc10c0537b02b56564ed37f03d69d0865e9bd16dc8cb77aacf682087fce60f01a2e70b5dbef4d73840b6ccbe198d3c5cc5f13b0f1b2a48d0af635e607f
 SHA512 
d2702000e6c4f4c0c7ff442a2b81e10f4d55f0cffbf7b7f1e7c9fed98fb46172b0118ca05102aa53fb4f953799e2be3534f0518b025ece26647ce67b870a34a7
+DIST gnumeric-1.12.44.tar.xz 18010384 BLAKE2B 
0348714a7dae119b36a6739ea499bc0411416637fe9cbd703024f4cdcdb894e2d4b0da3212ea6e2ad1dd81f893c96341722c83ef014db7f0a6f2a048696f41c6
 SHA512 
ea21dcdf5fdf4e02bb9d83671675f2409f12ee928611604d7589e0047ce5d75bf6ac51e6a5322c4af520428acdccf4c2b3b8e3fc6530030e162268aea94a503f

diff --git a/app-office/gnumeric/gnumeric-1.12.44.ebuild 
b/app-office/gnumeric/gnumeric-1.12.44.ebuild
new file mode 100644
index 00000000000..4f7ba1dc802
--- /dev/null
+++ b/app-office/gnumeric/gnumeric-1.12.44.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+GNOME2_LA_PUNT="yes"
+PYTHON_COMPAT=( python2_7 python{3_4,3_5,3_6} )
+
+inherit gnome2 flag-o-matic python-r1
+
+DESCRIPTION="The GNOME Spreadsheet"
+HOMEPAGE="http://www.gnumeric.org/";
+LICENSE="GPL-2"
+
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+
+IUSE="+introspection libgda perl python"
+# python-loader plugin is python2.7 only
+REQUIRED_USE="python? ( $(python_gen_useflags -2) )"
+
+# Missing gnome-extra/libgnomedb required version in tree
+# but its upstream is dead and will be dropped soon.
+
+# lots of missing files, also fails tests due to 80-bit long story
+# upstream bug #721556
+RESTRICT="test"
+
+RDEPEND="
+       app-arch/bzip2
+       sys-libs/zlib
+       >=dev-libs/glib-2.40.0:2
+       >=gnome-extra/libgsf-1.14.33:=
+       >=x11-libs/goffice-0.10.42:0.10
+       >=dev-libs/libxml2-2.4.12:2
+       >=x11-libs/pango-1.24.0:=
+
+       >=x11-libs/gtk+-3.8.7:3
+       x11-libs/cairo:=[svg]
+
+       introspection? ( >=dev-libs/gobject-introspection-1:= )
+       perl? ( dev-lang/perl:= )
+       python? ( ${PYTHON_DEPS}
+               >=dev-python/pygobject-3:3[${PYTHON_USEDEP}] )
+       libgda? ( gnome-extra/libgda:5[gtk] )
+"
+DEPEND="${RDEPEND}
+       app-text/docbook-xml-dtd:4.5
+       app-text/yelp-tools
+       dev-util/gtk-doc-am
+       >=dev-util/intltool-0.35.0
+       virtual/pkgconfig
+"
+
+src_prepare() {
+       # Manage gi overrides ourselves
+       sed '/SUBDIRS/ s/introspection//' -i Makefile.{am,in} || die
+       gnome2_src_prepare
+}
+
+src_configure() {
+       if use python ; then
+               python_setup 'python2*'
+       fi
+       gnome2_src_configure \
+               --disable-static \
+               --with-zlib \
+               $(use_with libgda gda) \
+               $(use_enable introspection) \
+               $(use_with perl) \
+               $(use_with python)
+}
+
+src_install() {
+       gnome2_src_install
+       python_moduleinto gi.overrides
+       python_foreach_impl python_domodule introspection/gi/overrides/Gnm.py
+}

Reply via email to